Create a Communication
curl --request POST \
--url https://api.virtuoussoftware.com/api/Communication \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"campaignId": "<integer>",
"channelType": "<string>",
"communicationType": "<string>",
"communicationStep": "<string>",
"startDateTime": "<dateTime>",
"ownerId": "<integer>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"internalCostEstimate": "<double>",
"vendorCostEstimate": "<double>",
"networkReach": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
campaignId: '<integer>',
channelType: '<string>',
communicationType: '<string>',
communicationStep: '<string>',
startDateTime: '<dateTime>',
ownerId: '<integer>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
internalCostEstimate: '<double>',
vendorCostEstimate: '<double>',
networkReach: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Communication', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Communication"
payload = {
"name": "<string>",
"campaignId": "<integer>",
"channelType": "<string>",
"communicationType": "<string>",
"communicationStep": "<string>",
"startDateTime": "<dateTime>",
"ownerId": "<integer>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"internalCostEstimate": "<double>",
"vendorCostEstimate": "<double>",
"networkReach": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Communication");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"campaignId\": \"<integer>\",\n \"channelType\": \"<string>\",\n \"communicationType\": \"<string>\",\n \"communicationStep\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"ownerId\": \"<integer>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"internalCostEstimate\": \"<double>\",\n \"vendorCostEstimate\": \"<double>\",\n \"networkReach\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Communication",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'campaignId' => '<integer>',
'channelType' => '<string>',
'communicationType' => '<string>',
'communicationStep' => '<string>',
'startDateTime' => '<dateTime>',
'ownerId' => '<integer>',
'givingGoal' => '<double>',
'newGiverGoal' => '<integer>',
'internalCostEstimate' => '<double>',
'vendorCostEstimate' => '<double>',
'networkReach' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/Communication")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"campaignId\": \"<integer>\",\n \"channelType\": \"<string>\",\n \"communicationType\": \"<string>\",\n \"communicationStep\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"ownerId\": \"<integer>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"internalCostEstimate\": \"<double>\",\n \"vendorCostEstimate\": \"<double>\",\n \"networkReach\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Communication")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"campaignId\": \"<integer>\",\n \"channelType\": \"<string>\",\n \"communicationType\": \"<string>\",\n \"communicationStep\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"ownerId\": \"<integer>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"internalCostEstimate\": \"<double>\",\n \"vendorCostEstimate\": \"<double>\",\n \"networkReach\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Communication';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
campaignId: '<integer>',
channelType: '<string>',
communicationType: '<string>',
communicationStep: '<string>',
startDateTime: '<dateTime>',
ownerId: '<integer>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
internalCostEstimate: '<double>',
vendorCostEstimate: '<double>',
networkReach: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"communicationId": 4510,
"name": "Giving Tuesday 2025 — Email 1",
"campaignId": 2013,
"campaignName": "Giving Tuesday 2025",
"channelType": "Email",
"communicationType": "Appeal",
"startDateTimeUtc": "2025-12-02T14:00:00Z",
"givingGoal": 40000,
"projectId": 1001,
"projectCode": "GEN",
"projectName": "General Fund",
"createDateTimeUtc": "2025-11-15T17:40:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T17:40:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Communications
Create a Communication
POST
/
api
/
Communication
Create a Communication
curl --request POST \
--url https://api.virtuoussoftware.com/api/Communication \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"campaignId": "<integer>",
"channelType": "<string>",
"communicationType": "<string>",
"communicationStep": "<string>",
"startDateTime": "<dateTime>",
"ownerId": "<integer>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"internalCostEstimate": "<double>",
"vendorCostEstimate": "<double>",
"networkReach": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
campaignId: '<integer>',
channelType: '<string>',
communicationType: '<string>',
communicationStep: '<string>',
startDateTime: '<dateTime>',
ownerId: '<integer>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
internalCostEstimate: '<double>',
vendorCostEstimate: '<double>',
networkReach: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Communication', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Communication"
payload = {
"name": "<string>",
"campaignId": "<integer>",
"channelType": "<string>",
"communicationType": "<string>",
"communicationStep": "<string>",
"startDateTime": "<dateTime>",
"ownerId": "<integer>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"internalCostEstimate": "<double>",
"vendorCostEstimate": "<double>",
"networkReach": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Communication");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"campaignId\": \"<integer>\",\n \"channelType\": \"<string>\",\n \"communicationType\": \"<string>\",\n \"communicationStep\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"ownerId\": \"<integer>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"internalCostEstimate\": \"<double>\",\n \"vendorCostEstimate\": \"<double>\",\n \"networkReach\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Communication",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'campaignId' => '<integer>',
'channelType' => '<string>',
'communicationType' => '<string>',
'communicationStep' => '<string>',
'startDateTime' => '<dateTime>',
'ownerId' => '<integer>',
'givingGoal' => '<double>',
'newGiverGoal' => '<integer>',
'internalCostEstimate' => '<double>',
'vendorCostEstimate' => '<double>',
'networkReach' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/Communication")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"campaignId\": \"<integer>\",\n \"channelType\": \"<string>\",\n \"communicationType\": \"<string>\",\n \"communicationStep\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"ownerId\": \"<integer>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"internalCostEstimate\": \"<double>\",\n \"vendorCostEstimate\": \"<double>\",\n \"networkReach\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Communication")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"campaignId\": \"<integer>\",\n \"channelType\": \"<string>\",\n \"communicationType\": \"<string>\",\n \"communicationStep\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"ownerId\": \"<integer>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"internalCostEstimate\": \"<double>\",\n \"vendorCostEstimate\": \"<double>\",\n \"networkReach\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Communication';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
campaignId: '<integer>',
channelType: '<string>',
communicationType: '<string>',
communicationStep: '<string>',
startDateTime: '<dateTime>',
ownerId: '<integer>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
internalCostEstimate: '<double>',
vendorCostEstimate: '<double>',
networkReach: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"communicationId": 4510,
"name": "Giving Tuesday 2025 — Email 1",
"campaignId": 2013,
"campaignName": "Giving Tuesday 2025",
"channelType": "Email",
"communicationType": "Appeal",
"startDateTimeUtc": "2025-12-02T14:00:00Z",
"givingGoal": 40000,
"projectId": 1001,
"projectCode": "GEN",
"projectName": "General Fund",
"createDateTimeUtc": "2025-11-15T17:40:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T17:40:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on July 24, 2026
Was this page helpful?